cURL
curl --request GET \
--url https://api.recoupable.com/api/spotify/artist/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/spotify/artist/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/spotify/artist/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artist": {
"external_urls": {
"spotify": "<string>"
},
"followers": {
"href": "<string>",
"total": 123
},
"genres": [
"<string>"
],
"href": "<string>",
"id": "<string>",
"images": [
{
"url": "<string>",
"height": 123,
"width": 123
}
],
"name": "<string>",
"popularity": 123,
"type": "artist",
"uri": "<string>"
},
"error": {}
}{
"error": {
"status": 123,
"message": "<string>"
}
}Spotify
Get Artist
Get Spotify catalog information for a single artist identified by their unique Spotify ID.
GET
/
api
/
spotify
/
artist
/
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The Spotify ID of the artist
⌘I
